Subject: Re: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Oct 2008 22:03:15 -0400

>> 2. During the normal interactive startup the splash screen nowadays
>> covers the *Messages* buffer too fast, so the user can miss the error.
>> I should file a bug about this...
>> 
>>> This is the main reason why I think that .emacs messages should go
>>> to stdout.

> Wouldn't it be better to address the actual issue (splash screen hides
> *Messages* when something went wrong) rather than side effects
> (*Messages* is hidden when --daemon, too)?

The splash screen issue is completely separate.

>> 7. This bug report is about something else: emacs --daemon &&
>> emacsclient -c not working.  Romain's patch looks good, it does not
>> add features, it's just a bug fix, so I don't see any reason it
>> cannot go in right now.

> Correct; stdout / splash screen stuff should be forked to a separate bug.

Yes and no: the right fix for one is also the right fix for the
other, AFAICT.

        Stefan